CAPNG_HAVE_CAPABILITIES(3)

NAME
capng_have_capabilities - general check for capabilities

SYNOPSIS
#include <cap-ng.h>

capng_results_t capng_have_capabilities(capng_select_t set);

DESCRIPTION

capng_have_capabilities will check the selected internal capabilities sets to see what the status is. The capabilities sets must be previously setup with calls to capng_get_caps_process, capng_get_caps_fd, or in some other way setup. The options are CAPNG_SELECT_CAPS for the traditional capabilities, CAPNG_SELECT_BOUNDS for the bounding set, or CAPNG_SELECT_BOTH if clearing both is desired.

RETURN VALUE

This funtion will return one of the following four self explanatory values: CAPNG_FAIL, CAPNG_NONE, CAPNG_PARTIAL, CAPNG_FULL.

SEE ALSO

capng_get_caps_process(3), capng_get_caps_fd(3), capng_have_capability(3), capabilities(7)

AUTHOR
Steve Grubb